//
//  ViewHeightGeometry.swift
//  Login
//
//  Created by Javier Cicchelli on 02/12/2022.
//  Copyright © 2022 Röck+Cöde. All rights reserved.
//

import SwiftUI

struct ViewHeightGeometry: View {
    var body: some View {
        GeometryReader { proxy in
            Color.clear.preference(
                key: ViewHeightPreferenceKey.self,
                value: proxy.size.height
                    + proxy.safeAreaInsets.top
                    + proxy.safeAreaInsets.bottom
            )
        }
    }
}
